%define oname gnonlin

Name: libgnonlin
Version: 0.10.9
Release: alt2

Summary: GStreamer extension library for non-linear editing

Group: Video
License: LGPL
Url: http://gstreamer.freedesktop.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source0: http://gstreamer.freedesktop.org/src/gnonlin/%oname-%version.tar.bz2
Source1: http://gstreamer.freedesktop.org/src/gnonlin/%oname-%version.tar.bz2.md5

%define gst_majorminor 0.10
%define gst_req 0.10

Requires: gstreamer >= %gst_req

BuildRequires: gstreamer-devel >= %gst_req

# Automatically added by buildreq on Fri May 04 2007 (-bb)
BuildRequires: gcc-c++ gnome-libs-devel gstreamer-devel python-modules-compiler python-modules-encodings valgrind

BuildRequires: gst-plugins-devel

Obsoletes: %name-devel

%description
Gnonlin is a library built on top of GStreamer (http://gstreamer.net)
which provides support for writing non-linear audio and video editing
applications. It introduces the concept of a timeline.

%package devel
Summary: Libraries/include files for gnonlin development
Requires: gstreamer-devel >= %gst_req
Requires: %name = %version-%release
Group: Development/Other

%description devel
Gnonlin is a library built on top of GStreamer (http://gstreamer.net) which
provides support for writing non-linear audio and video editing applications. It
introduces the concept of a timeline.

This package contains the libraries and includes files necessary to develop
applications using gnonlin.

%prep
%setup -q -n %oname-%version

%build
%autoreconf
%configure \
	--disable-static \
	--enable-gtk-doc

%make_build

%install
%make_install DESTDIR=%buildroot install
rm -f %buildroot%_libdir/gstreamer-%gst_majorminor/*.la

%post
#%_bindir/gst-register-%gst_majorminor >/dev/null 2>&1

%postun
#%_bindir/gst-register-%gst_majorminor >/dev/null 2>&1

%files
%doc AUTHORS ChangeLog NEWS README RELEASE
%_libdir/gstreamer-%gst_majorminor/libgnl.so

#%files devel
#%_includedir/gnl/
#%_pkgconfigdir/gnonlin.pc
#%_datadir/gtk-doc/html/gnonlin

%changelog
* Sun May 18 2008 Igor Zubkov <icesik@altlinux.org> 0.10.9-alt2
- rebuild

* Wed Aug 08 2007 Igor Zubkov <icesik@altlinux.org> 0.10.9-alt1
- 0.10.8 -> 0.10.9

* Sat May 05 2007 Igor Zubkov <icesik@altlinux.org> 0.10.8-alt1
- 0.10.7 -> 0.10.8

* Fri May 04 2007 Igor Zubkov <icesik@altlinux.org> 0.10.7-alt1
- 0.10.6 -> 0.10.7
- remove obsolete patch
- spec clean up
- update Url

* Thu Apr 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.10.6-alt1
- new version 0.10.6
- fix packager
- disable static libs (fix bug #11456)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.5-alt0.1
- new version (0.10.5)

* Mon May 08 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.3-alt0.1
- new version (0.10.3)
- fix source URL
- remove -devel package

* Sun Apr 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.10.0.5-alt0.1
- new version (0.10.0.5)
- add patch against as-needed

* Sat Dec 31 2005 Vitaly Lipatov <lav@altlinux.ru> 0.10.0.3-alt0.1
- initial build for ALT Linux Sisyphus

* Thu Jul 14 2005 Edward Hervey <edward at fluendo dot com>
- Removed gnonlin-config*

* Mon Jun 27 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- cleanup of spec

* Mon Mar 21 2005 Edward Hervey <bilboed at bilboed dot com>
- First version of spec
